/*                                                                |- Impulse -|
 * The contents of this file are subject to the Mozilla
 * Public License Version 1.0 (the "License"); you may
 * not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/ 
 *
 * Software distributed under the License is distributed
 * on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied. See the
 * License for the specific language governing rights
 * and limitations under the License. 
 *
 * The Original Code is the Impulse utility library
 * for Impulse. (Part of the ROWS distribution)
 *
 * The Initial Developer of the Original Code is
 * Daniel Berrange. Portions created by Daniel Berrange
 * are Copyright (C) 1999 Daniel Berrange.
 * All Rights Reserved
 *
 * Contributor(s):
 * No-one (yet :-)
 */

/*
 * transport.h
 * -----------
 *
 * Inter-process communication architecuture
 */


#ifndef __impulse_comms_comms_h
#define __impulse_comms_comms_h

#include <impulse/comms/transport.h>

void impulse_comms_init(void);
void impulse_comms_cleanup(void);

void impulse_comms_register(impulse_transport transport);
void impulse_comms_deregister(impulse_transport transport);

impulse_transport impulse_comms_lookup(impulse_unistring name);


#endif

/* End of file */
